6.0.0-git
2019-03-24

[#13729] Active Sync - on device mails without body
Summary Active Sync - on device mails without body
Queue Horde Groupware Webmail Edition
Queue Version 5.2.3
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester stefan.buehler (at) mailcarrier (dot) ch
Created 2014-11-30 (1575 days ago)
Due
Updated 2014-12-22 (1553 days ago)
Assigned 2014-12-01 (1574 days ago)
Resolved 2014-12-22 (1553 days ago)
Milestone
Patch No

History
2014-12-22 14:36:48 Michael Rubinsky State ⇒ Resolved
 
2014-12-22 08:46:10 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #27 Reply to this comment
Hi
The BUG ist fixed.
Thx a lot
2014-12-22 01:42:25 Michael Rubinsky Comment #26 Reply to this comment
It's currently available.
2014-12-19 19:31:27 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #25 Reply to this comment
Hi
Great new! Thx for your great work.
When do you publish it? I'll test it and give you a feedback.

Thx
Stefan
2014-12-19 17:38:41 Git Commit Comment #24 Reply to this comment
Changes have been made in Git (master):

commit 0391ae67bd536425044e086d63e01c16a3f5690c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Dec 19 12:35:01 2014 -0500

     Finally able to get my S5 to reproduce these BODYPART requests.

     This should hopefully be the last of the needed fixes for Bug: 13729

  .../lib/Horde/ActiveSync/Imap/Adapter.php          |  145 +++----
  .../lib/Horde/ActiveSync/Imap/Message.php          |  195 +--------
  .../lib/Horde/ActiveSync/Imap/MessageBodyData.php  |  450 
++++++++++++++++++++
  .../ActiveSync/Message/AirSyncBaseBodypart.php     |    5 +-
  .../lib/Horde/ActiveSync/Message/Mail.php          |    4 +-
  framework/ActiveSync/package.xml                   |    6 +-
  6 files changed, 525 insertions(+), 280 deletions(-)

http://github.com/horde/horde/commit/0391ae67bd536425044e086d63e01c16a3f5690c
2014-12-16 01:05:36 Git Commit Comment #23 Reply to this comment
Changes have been made in Git (master):

commit 4e2f3997540217fe27755c3357189f8349a9f4fb
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Dec 15 19:58:00 2014 -0500

     More BODYPART fixes.

     Possibly related to Bug: 13729

  .../lib/Horde/ActiveSync/Imap/Adapter.php          |   13 ++++++++++-
  .../lib/Horde/ActiveSync/Imap/Message.php          |   23 
+++++++++++++++++++-
  2 files changed, 34 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/4e2f3997540217fe27755c3357189f8349a9f4fb
2014-12-15 23:24:23 Michael Rubinsky Comment #22 Reply to this comment

Sync log? My GS5 doesn't have an "automatic" size. It starts with 
"Headers Only" then progresses up to a maximum of 100k, and then "all".
2014-12-15 22:10:59 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #21 Reply to this comment
Hi
With 50k Size I can see the maiks correctly. With aoutomatic size it 
will sync and sync and dont' display any mail.

Greets
2014-12-15 19:42:04 Michael Rubinsky Comment #20 Reply to this comment
The latest versions of Horde_ActiveSync and Horde_Core have been 
pushed. These (hopefully) contain the fixes to fix this issue.

Please test and let us know!
2014-12-12 22:13:59 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #19 Reply to this comment
What about the other questions? Version of "Exchange Services" and 
what are you limiting the size of downloaded emails to?
I Dont see the Version of Exchange directly only dataexchangeservices: 
4.4.2.0100. Limiting of size: automatic

Thx
2014-12-12 19:18:20 Michael Rubinsky Comment #18 Reply to this comment
What about the other questions? Version of "Exchange Services" and 
what are you limiting the size of downloaded emails to?
2014-12-12 16:04:40 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #17 Reply to this comment
Hi
Emailclient: 4.4.2.0400
Sorry, yes you've right with the syncintervall.

Thx
2014-12-12 15:03:23 Michael Rubinsky Comment #16 Reply to this comment
Hi
Its Android 4.4.2.
Hm. Ok. Can you look at your "Application Manager" and find the 
version numbers for the stock email app as well as for "Exchange 
Services"? I'm able to reproduce just part of the request your log is 
showing, not the whole thing.
Sync over SSL
Sync contact, mail and the worklist.
sync Intervall: Push
sync all Email and whole calendar.
The synclog you posted in comment #8 seems to say something different. 
At least for email, it says you are only syncing the last 3 days. 
Also, are you limiting the size of the email? If so, to what setting? 
The interface I have shows a bunch of choices, but 100k is the highest 
without selecting "All".


2014-12-12 06:50:46 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #15 Reply to this comment
Hi
Its Android 4.4.2.
Sync over SSL
Sync contact, mail and the worklist.
sync Intervall: Push
sync all Email and whole calendar.
thx


2014-12-11 21:46:41 Michael Rubinsky Comment #14 Reply to this comment
What android version is your S5 on? Also, any specific Email app 
settings you are using?
2014-12-10 22:09:33 Michael Rubinsky Comment #13 Reply to this comment
Just to update, I should be able to test this on a S5 in the next day or two.
2014-12-08 14:46:04 Michael Rubinsky Comment #12 Reply to this comment
If your not familiar with working with Git checkouts, this is going to 
be more work for you than it's worth.

I located a GS4, but that didn't exhibit the behavior - nor did my 
Note 3. I'll see if I can find a used GS5 for cheap since we should 
probably have a test client from that generation of Samsung devices 
anyway.

This kind of stuff should be easier once I can start rewriting the 
library to make unit testing easier.
2014-12-08 08:27:07 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #11 Reply to this comment
Hi
I've no git access. If yo can tell me how I could access the git repo 
and aply this, I'll test it for you.

Stefan
2014-12-08 01:44:52 Michael Rubinsky Comment #10 Reply to this comment
Do you have access to a Git install?

I made a bunch of changes/additions that *should* fix what you are 
seeing, but I am completely unable to test most of the code that has 
changed since I do not have any clients that issue those types of 
requests.

I'm going to see if I can find someone with a SGS5, but would be great 
if you were able to test this.
2014-12-07 16:18:07 Michael Rubinsky Comment #9 Reply to this comment
Thanks, the log is helpful. Looks like something funky going on with 
the interaction between MIMESUPPORT/BODYPREFS/BODYPARTPREFS options. 
Not sure if it's server or client yet though.
2014-12-07 08:36:25 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #8 Reply to this comment
It seems that the attachement function does not work anymore.
Hier a link:
https://62.141.44.101/SEC1ABDF09942FD9.txt

Stefan
2014-12-07 08:32:31 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #7 Reply to this comment
Hi
Yes current pear releases are installed.
2nd try with attachement
Stefan
2014-12-07 02:33:06 Michael Rubinsky Comment #6 Reply to this comment
Log
There was no attachment. Also, I assume you tested with current Git 
as per my last comment?
Sorry, I meant "current PEAR releases".
2014-12-07 02:32:30 Michael Rubinsky Comment #5 Reply to this comment
Log
There was no attachment. Also, I assume you tested with current Git as 
per my last comment?
2014-12-06 21:00:38 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #4 Reply to this comment
Log
2014-12-05 03:06:12 Michael Rubinsky Comment #3
Priority ⇒ 1. Low
Reply to this comment
Please see if this is fixed for you now that Bug: 13711 is fixed.
2014-12-01 04:04:28 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Probably dup of Bug: 13711 but would need a sync log to be sure.
2014-11-30 09:02:07 stefan (dot) buehler (at) mailcarrier (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Active Sync - on device mails without body
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi all
Horde Groupware Webmail Edition 5.2.3
Horde (horde) 5.2.2
Horde_ActiveSync 2.20.4

Client: Samsung Galaxy S5

Configuration Active Sync:
Enabled, SQL DB, EAS 14.1, HTTP Basic, OL Discovery: no, Device 
managed Heartbeat

Problem:
The SGS 5 sync the calendar and contacts. It syncs the mail too, may 
it doesn't display the body. I tested it with a SGS5 and SGS5 mini 
(new). Same problem with both devices.

How could I fix it?
Thx
Stefan

Saved Queries